Subject: Re: bug#15124: 24.2; comment indentation functions are messed up

From: Glenn Morris <[email-masked]>
Date: Sun, 18 Aug 2013 14:48:09 -0400

Łukasz Stelmach wrote:

> I've got some problems with making my Emacs insert " *" at the
> beginning of a new line of a comment block in cc-mode.
>
> I have found what looks like a little mess-up.
>
> 1. M-j is bound to indent-new-comment-line (an alias for
> comment-indent-new-line). Comments at the beginning of the
> newcomment.el files say support for consulting
> c-comment-line-break-function is yet to be developed.
>
> 2. cc-mode augments (cc-cmds.el) indent-new-comment-line to use
> c-indent-new-comment-line unless comment-line-break-function is bound.

Which in practice means it does not do this except in very old Emacs
versions that are no longer relevant.

> 3. This variable is defined and set in simple.el and used in
> default-indent-new-line. This however is is not bound to any key so
> setting it to c-indent-new-comment-line in a mode hook won't help.

Sorry, I can't understand what the bug is supposed to be.